package com.kernelmaft.zanbur

import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf


typealias MutableStateMap < Key , Value > = MutableState < Map < Key , Value > >

object AppState {
	val devices : MutableStateMap < DeviceName , Device > = mutableStateOf ( emptyMap () )
	val deviceStates : MutableStateMap < Device , LampState > = mutableStateOf ( emptyMap () )
	val scenes : MutableStateMap < SceneName , Scene > = mutableStateOf ( emptyMap () )
	val currentScene : MutableState < Scene ? > = mutableStateOf (null)

	fun putDevice ( device : Device ) { devices . value += Pair ( device . name , device ) }
	fun putScene ( scene : Scene ) { scenes . value += Pair ( scene . name , scene ) }
}
