package com.kernelmaft.zanbur


object Config {
	const val MQTT_SERVER_HOST = "antoinette.kernelmaft.com"
	const val MQTT_SERVER_PORT = 1883
	const val MQTT_TOPIC = "zigbee2mqtt"

	private val deskLamp = TemperatureLamp ( DeviceName ("Desk lamp") )
	private val standingLamp = TemperatureLamp ( DeviceName ("Standing lamp") )
	private val diningTableLamp = TemperatureLamp ( DeviceName ("Dining table lamp") )
	private val ledStrip = RgbLamp ( DeviceName ("LED strip") )

	val devices = listOf ( deskLamp , standingLamp , diningTableLamp , ledStrip )

	val scenes = listOf (
		Scene ( SceneName ("All off") , mapOf (
			Pair ( deskLamp , TemperatureLampState ( Power . OFF , 254 , 250 ) ) ,
			Pair ( standingLamp , TemperatureLampState ( Power . OFF , 254 , 250 ) ) ,
			Pair ( diningTableLamp , TemperatureLampState ( Power . OFF , 254 , 250 ) ) ,
			Pair ( ledStrip , RgbLampState ( Power . OFF , 254 , Cie1931Color ( 0.0 , 0.0 ) ) ) ,
		) ) ,
		Scene ( SceneName ("Evening") , mapOf (
			Pair ( deskLamp , TemperatureLampState ( Power . ON , 128 , 454 ) ) ,
			Pair ( standingLamp , TemperatureLampState ( Power . ON , 192 , 454 ) ) ,
			Pair ( diningTableLamp , TemperatureLampState ( Power . ON , 192 , 454 ) ) ,
			Pair ( ledStrip , RgbLampState ( Power . ON , 128 , Cie1931Color ( 0.25 , 0.05 ) ) ) ,
		) ) ,
	)
}
